<template>
  <router-view />
</template>

<script setup lang="ts">
import { defineComponent, onMounted } from 'vue';
import { useAuthStore } from './stores/auth';

defineComponent({
  name: 'OYS Borrow-a-Boat',
});

onMounted(async () => {
  await useAuthStore().init();
});
</script>
